<template>
    <div class="column q-pa-md q-gutter-md">
        <h6 class="q-ma-none">Item Wise Report</h6>
        <div class="row q-gutter-md">
            <date-combo v-model="date"></date-combo>
            <q-select dense class="col-6 col-md-2" v-model="type" :options="['All', 'OPD', 'IPD', 'Pharmacy']"
                label="Invoice_type"></q-select>
            <b-select dense class="col-6 col-md-2" v-model="category" label="Category" :module="module"
                name="reports_tiw_category"></b-select>
            <b-select dense class="col-6 col-md-2" v-model="item" label="Item_Name" :module="module"
                name="reports_tiw_item"></b-select>
            <div>
                <q-btn label="Get Report" @click="refreshData" color="green" />
            </div>
        </div>
        <b-table ref="table" class="full-width" :module="module" table-name="Report_Total_Item_Wise"
            :extra-post-data="meta_data"></b-table>

    </div>
</template>
<script>
export default {
    props: ['module'],
    components: {
        bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
        bSelect: Vue.defineAsyncComponent(() => import(`components/widgets/b-select.vue`)),
        DateCombo: Vue.defineAsyncComponent(() => import(`components/widgets/date-combo.vue`))
    },
    data() {
        return {
            category: '',
            item: '',
            date: {
                from: null,
                to: null
            },
            type: 'All'
        }
    },
    computed: {
        meta_data() {
            let where_data = {}
            if (this.date.from != null || this.date.to != null) {
                where_data.Type = this.type
                where_data.From_Date = this.date.from
                where_data.To_Date = this.date.to
            }

            return { where_data }

        }
    },
    methods: {
        refreshData() {
            this.$refs.table.syncData()
        }
    }

}
</script>
